* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    background-image: url("img/wallp1.jpg");
    color: var(--color-texto);
    --color-principal: #18233f;
    --color-secundario: #ba0707;
    --color-box: linear-gradient(#a005, #fe25);
    --color-texto: #fff;
}

body, div, ul, li, nav, header, footer, a, label {
    margin: 0;
    padding: 0;
}

/*--------HEADER SECTION---------*/


.header {
    background-color: #123;
    display: flex;
    justify-content: space-between;
    align-content: center;
    container-type: inline-size;
    container-name: header;
    position: sticky;
    top: 0;
    z-index: 10;
    text-align: center;
    box-shadow: 0 0 20px #000;
    font-size: .7rem;
}

.header__open-nav-button {
    color: #000;
    font-size: 2rem;
    margin-top: 20px;
    font-weight: 600;
    position: absolute;
    right: 10px;
    user-select: none;
}

.header__checkbox {
    display: none;
}

.header__nav {
    display: none;
    background-color: #123;
    position: absolute;
    height: 40dvh;
    width: 97dvw;
    top: 0;
    border-radius: 10px;
    z-index: -1;
}

.header__nav-list {
    display: flex;
    flex-direction: column;
    height: 30dvh;
    margin: auto;
    justify-content: space-evenly;
}

.header__checkbox:checked ~ .header__nav {
    display: flex;
}

.header-logo {
    max-width: 90%;
    width: 4rem;
    margin: 10px 20px;
}

.header__nav-item {
    list-style: none;
}

.header__nav-item:hover {
    opacity: .70;
}

.header__nav-item a {
    color: var(--color-texto);
    text-decoration: none;
}

.header__nav-item :is(:hover, :active) {
    text-decoration: underline;
}




/*------HISTORY SECTION----------*/

.history {
    container-name: history;
    container-type: inline-size ;
}

.history__title {
    font-size: 2em;
    text-align: center;
    margin-top: 20px;
}

.history__wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    width: 100dvw;
    margin: auto;
    padding: 20px;
    margin-top: 20px;
    max-width: 90dvw;
    border-radius: 10px;
    background-color: #ba070790;
    box-shadow: 0 0 10px #000;
}

.history__data-container {
    text-align: center;
    font-size: 10px;
    text-wrap: wrap;
    font-weight: 600;
}

.history__img-container {
    min-height: 600px;
    overflow: hidden;
    align-items: center;
    padding: 10px;
}

.history__img {
    width: 200px;
    height: 200px;
    padding: 10px;
    border-radius: 20px;
}


/*-------PERSONAJES SECTION-------*/


.personajes {
    display: flex;
    flex-direction: column;
    container-name: personajes;
    container-type: inline-size;
}


.personajes__container {
    display: flex;
    justify-content: center;
}

.personajes__title {
    font-size: 2em;
    text-align: center;
}

.personajes__cards-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    font-size: 10px;
    text-align: baseline;
    max-width: fit-content;
    padding: 10px;
    border-radius: 20px;
    gap: 10px;
}

.personaje__card-front, .personaje__card-back {
    backface-visibility: hidden;
    transition: transform 0.6s;
}


.personaje__card:hover .personaje__card-front {
    transform: perspective(900px) rotateY(180deg);
}

.personaje__card:hover .personaje__card-back {
    transform: perspective(900px) rotateY(360deg);
}

.personaje__card-back {
    position: absolute;
    top: 10PX;
    align-content: center;
    font-size: .5rem;
    width: 90%;
    height: 70%;
    display: grid;
    margin: 10px;
    place-content: center;
    transform: perspective(900px) rotateY(180deg);
}

.personaje__card {
    display: grid;
    align-items: center ;
    margin: 5px;
    border-radius: 10px;
    box-shadow: 0 0 20px #000;

    position: relative;
}

.personaje__card-front{
    position: absolute;
    top: 0;
    width: 90%;
    height: 70%;
    display: grid;
    margin: 10px;
    place-content: center;
}

.personaje-img {
    width: 50px;
    height: 50px;
    margin: auto;
    border-radius: 10px;
}

#luffy {
    background-color: #f107;
}
#zoro {
    background-color: #0907;
}
#nami {
    background-color: #f319;
}
#usopp {
    background-color: #a647;
}
#sanji {
    background-color: #fe27;
}
#chopper {
    background-color: #d087;
}
#robin {
    background-color: #a0d7;
}
#franky {
    background-color: #08f7;
}
#brook {
    background-color: #3337;
}
#jimbe {
    background-color: #fe27;
}


/*------------SAGAS----------*/
.sagas__op {
    font-size: 0.5rem;
    container-name: sagas;
    container-type: inline-size;
}
.sagas__op-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.saga-name {
    display: flex;
    flex-direction: column;
    box-shadow: 0 0 20px #000;
    border-radius: 10px;
    font-size: 0.5rem;
    background-color: #1235;
    text-wrap: wrap;
}

.saga-name:hover {
    background-color: #ba070790;
    cursor: pointer;

}


.saga-img {
    width: 100px;
    margin: auto;
}


/*------------RELEVANCIA---------*/


.relevancia__op-container {
    display: flex;
    flex-direction: row;
    font-size: 0.5rem;
}

.relevancia-img {
    width: 100px;
}


/*------------footer-----------*/

.footer__op {
    background-color: #123;
}

.footer__list {
    display: flex;
    justify-content: center;
    padding: 30px;
}




/*--------------QUERIES SECTION----------------*/

/*---------HEADER QUERIES--------*/

@container header (min-width: 800px) {
    .header__nav {
        display: inline-block;
        position: static;
        height: auto;
        width: auto;
        justify-content: space-between;
        z-index: 0;
        background-color: #1235;
        align-content: center;
        margin: auto;
    }

    .header__nav-logo {
        margin: auto;
    }

    .header__nav-list {
        flex-direction: row ;
        height: auto;
        width: auto;
        gap: 50px;
        border-radius: 5px;;
    }

    .header__nav-item{
        padding: 20px;
        border: 1px solid #000;
        background-color: #fff9;
        border-radius: 10px;
        opacity: 90%;
    }

    .header__nav-item a {
        color: #000;
    }

    .header__nav-item:hover {
        opacity: .60;
    }

    .header__open-nav-button {
        display: none;
    }
}



/*----------------HISTORY QUERIES--------------------*/

@container history (min-width: 800px){

    .history__data-container {
        font-size: 1rem;
    }

    .history__img {
        width: 60dvw;
        height: 60dvh;
    }
}

/*-----------------PERSONAJES QUERIES------------------*/

@container personajes (min-width: 800px) {

    .personajes__container {
        width: 80dvw;
        margin: auto;
    }

    .personajes__cards-container {
        display: grid;
        grid-template-columns:1fr 1fr 1fr 1fr ;
    }

    .personaje__card-back {
        font-size: 0.9rem;
    }

    .personaje__card:first-child {
        grid-column: 1/span 2;
        grid-row: 1/span 1;
    }

    .personaje__card:last-child {
        grid-column: 2 span;
    }

    .personaje-img {
        width: 10dvw;
        height: 20dvh;}
}

/*-------------------SAGAS QUERIES---------------*/


@container sagas (min-width: 800px) {


    .sagas__op-res {
        display: flex;
        margin: auto;
        width: 90dvw;
    }

    .sagas__op-container {
        display: flex;
        flex-direction: row;
    }

}